//---------------------------------------------------------------------------

#ifndef IFM0010MFH
#define IFM0010MFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DB.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <ComCtrls.hpp>
#include <ADODB.hpp>
//---------------------------------------------------------------------------
#include "FRAME_UnRegFacilityListF.h"
#include "cxButtons.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxEdit.hpp"
#include "cxGraphics.hpp"
#include "cxGroupBox.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxSplitter.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinsCore.hpp"
#include "FRAME_FacilityListF.h"
#include "cxLabel.hpp"
#include "dxSkinMcSkin.hpp"

class TIFM0010M : public TForm
{
__published:	// IDE-managed Components
    TShape *ShpTitle;
    TcxButton *BtnSearch;
    TcxButton *BtnClose;
    TLabel *LblCaption;
    TEdit *EdFocus;
    TShape *ShpList;
    TTimer *TmrShow;
    TPanel *Panel1;
    TcxGroupBox *cxGroupBox1;
    TcxGroupBox *cxGroupBox2;
    TcxSplitter *cxSplitter1;
    TPanel *PnlBottom;
    TPanel *Panel2;
    TFRAMEUnRegFacilityList *FRAMEUnRegFacilityList1;
    TcxButton *BtnEdit;
    TcxButton *BtnDelete;
    TcxButton *BtnApply;
    TcxButton *BtnInsert;
    TFRAMEFacilityList *FRAMEFacilityList1;
    TcxLabel *cxLabel1;
    TcxLabel *cxLabel2;
    TcxLabel *cxLabel3;
    TcxLabel *cxLabel4;
    void __fastcall FormShow(TObject *Sender);
    void __fastcall TmrShowTimer(TObject *Sender);
    void __fastcall BtnSearchClick(TObject *Sender);
    void __fastcall BtnCloseClick(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall BtnEditClick(TObject *Sender);
    void __fastcall BtnDeleteClick(TObject *Sender);
    void __fastcall BtnApplyClick(TObject *Sender);
    void __fastcall BtnInsertClick(TObject *Sender);
    void __fastcall FRAMEFacilityList1TvListCustomDrawCell(TcxCustomGridTableView *Sender, TcxCanvas *ACanvas, TcxGridTableDataCellViewInfo *AViewInfo,
          bool &ADone);
    void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
    void __fastcall FRAMEFacilityList1ColumnPropertiesValidate(TObject *Sender, Variant &DisplayValue, TCaption &ErrorText,
          bool &Error);



private:	// User declarations
    void __fastcall CommClose();
    String             FTitle;
    TcxDataController *m_pGDC1;
    TcxDataController *m_pGDC2;
    bool               FUpdate;
    bool               FDbUpdate;
public:

public:		// User declarations
    __fastcall TIFM0010M(TComponent* Owner);

    void __fastcall FormInit();
    void __fastcall RefreshData();

    void __fastcall ChangeEditMode(bool AEdit);
    bool __fastcall IsUpdate();
    void __fastcall SaveData();
};
//---------------------------------------------------------------------------
extern PACKAGE TIFM0010M *IFM0010M;
//---------------------------------------------------------------------------

#endif

